apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: postgres-operator
resources:
- cluster/namespace.yaml
- base/postgresql-operator-default-configuration.yaml
- base/operator-service-account-rbac.yaml
- base/postgres-operator.yaml
- base/api-service.yaml
patchesStrategicMerge:
  - cluster/enable_cross_namespace_secret.yaml
patchesJson6902:
- target:
    group: apps
    version: v1
    kind: Deployment
    name: postgres-operator
  path: cluster/use_postgre_configuration.yaml